Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Typedefs | Functions
patternconverter.h File Reference

## Classes
class | PatternConverter

## Namespaces
| log4cxx
| log4cxx::pattern

## Macros
#define | DECLARE_LOG4CXX_PATTERN(cls) DECLARE_ABSTRACT_LOG4CXX_OBJECT(cls)

## Typedefs
typedef std::vector< LogString > | OptionsList

## Functions
| LOG4CXX_PTR_DEF (PatternConverter)

## Macro Definition Documentation

#define DECLARE_LOG4CXX_PATTERN | ( |  | cls | ) | DECLARE_ABSTRACT_LOG4CXX_OBJECT(cls)